Summary:	An easy to use Bible study tool
Name:		bibletime
Version:	2.7.3
Release:	1%{?dist}
License:	GPLv2
Url:		http://www.bibletime.info/
Group:		Applications/Productivity
Source0:	http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	cmake qt4-webkit-devel
BuildRequires:	sword-devel >= 1.5.10 clucene-core-devel >= 0.9.16a
BuildRequires:	boost-devel openssl-devel curl-devel zlib-devel dbus-devel
BuildRequires:	desktop-file-utils gettext

%description
BibleTime is a free and easy to use cross-platform bible study tool.

BibleTime provides easy handling of digitalized texts (Bibles,
commentaries and lexicons) and powerful features to work with these
texts (search in texts, write own notes, save, print etc.).
BibleTime is a frontend for the  SWORD Bible Framework.

%prep

%setup -q

%build
mkdir fedora
cd fedora
export CFLAGS="%{optflags}"
export CXXFLAGS="%{optflags}"
export FFLAGS="%{optflags}"
%ifarch x86_64 ppc64
%define lib_suffix 64
%else
%define lib_suffix %{nil}
%endif
cmake	-DCMAKE_BUILD_TYPE=Release -DCMAKE_INSTALL_PREFIX=%{_prefix}	\
	-DCMAKE_SKIP_RPATH:BOOL=ON -DLIB_SUFFIX=%{lib_suffix} ..
make VERBOSE=1 %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
cd fedora
make DESTDIR=%{buildroot} install

desktop-file-install					\
	--dir=%{buildroot}%{_datadir}/applications	\
	--remove-category=QT				\
	--delete-original				\
	%{buildroot}%{_datadir}/applications/%{name}.desktop

# rename wrongly-named locale
mv %{buildroot}%{_datadir}/%{name}/locale/bibletime_ui_pt_{br,BR}.qm || :
mv %{buildroot}%{_datadir}/%{name}/docs/howto/pt-{br,BR} || :

# locale's
%find_lang %{name} || touch %{name}.lang
BT_DOC_DIR=%{_datadir}/%{name}/docs
for doctype in handbook howto ; do
	for lang_dir in %{buildroot}/$BT_DOC_DIR/$doctype/* ; do
		lang=$(basename $lang_dir)
		echo "%lang($lang) $BT_DOC_DIR/$doctype/$lang/*" >> %{name}.lang
	done
done

%clean
%{__rm} -rf %{buildroot}

%files -f fedora/%{name}.lang
%defattr(-,root,root,-)
%{_bindir}/bibletime
%{_datadir}/applications/*.desktop
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/display-templates/
%{_datadir}/%{name}/javascript/
%{_datadir}/%{name}/license/
%{_datadir}/%{name}/icons
%{_datadir}/%{name}/locale
%{_datadir}/%{name}/pics
%{_datadir}/icons/bibletime.svg
%doc ChangeLog README LICENSE

%changelog
* Tue Sep 14 2010 Deji Akingunola <dakingun@gmail.com> - 2.7.3-1
- Update to 2.7.3, fixes a potential data loss bug

* Mon Jun 21 2010 Deji Akingunola <dakingun@gmail.com> - 2.7-1
- Update to 2.7

* Thu Jan 14 2010 Deji Akingunola <dakingun@gmail.com> - 2.5-2
- Rebuild for sword-1.6.1

* Tue Dec 29 2009 Deji Akingunola <dakingun@gmail.com> - 2.5-1
- New upstream version

* Wed Dec 02 2009 Deji Akingunola <dakingun@gmail.com> - 2.4-1
- Update to 2.4
- Update the description and summary.

* Wed Sep 30 2009 Deji Akingunola <dakingun@gmail.com> - 2.2-1
- Update to 2.2

* Wed Aug 12 2009 Deji Akingunola <dakingun@gmail.com> - 2.1-1
- Update to 2.1

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sat Jun 06 2009 Deji Akingunola <dakingun@gmail.com> - 2.0.1-1
- Update to 2.0.1

* Tue Mar 17 2009 Deji Akingunola <dakingun@gmail.com> - 1.7-1
- Update to 1.7

* Mon Feb 23 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6.5.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon May 26 2008 Deji Akingunola <dakingun@gmail.com> - 1.6.5.1-1
- Update to 1.6.5.1

* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 1.6.5-4
- Autorebuild for GCC 4.3

* Wed Feb 13 2008 Deji Akingunola <dakingun@gmail.com> 1.6.5-3
- Rebuild for gcc-4.3

* Tue Jan 02 2008 David Anderson <fedora-packaging@dw-perspective.org.uk> 1.6.5-2
- BR kdelibs3-devel

* Tue Nov 06 2007 Deji Akingunola <dakingun@gmail.com> 1.6.5-1
- 1.6.5

* Mon May 04 2007 David Anderson <fedora-packaging@dw-perspective.org.uk> 1.6.4-2
- 1.6.4

* Mon Feb 05 2007 David Anderson <fedora-packaging@dw-perspective.org.uk> 1.6.3b-3
- 1.6.3b

* Sat Jan 27 2007 David Anderson <fedora-packaging@dw-perspective.org.uk> 1.6.2-5
- Correct wrong location of pt_BR files

* Mon Jan 15 2007 David Anderson <fedora-packaging@dw-perspective.org.uk> 1.6.2-4
- Added internationalisation

* Fri Jan 12 2007 David Anderson <fedora-packaging@dw-perspective.org.uk> 1.6.2-2
- Cleanups (thanks to Deji Akingunola)

* Fri Jan 12 2007 David Anderson <fedora-packaging@dw-perspective.org.uk> 1.6.2-1
- First attempt for Fedora Extras
- (Credits to Joachim Ansorg and Brook Humphrey for previous
- version from bibletime tarball)
